aspose file tools*
The moose likes Spring and the fly likes Spring IDE support/installation for IBM RAD/RSA v7.5.4 Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login


Win a copy of Spring in Action this week in the Spring forum!
JavaRanch » Java Forums » Frameworks » Spring
Reply locked New topic
Author

Spring IDE support/installation for IBM RAD/RSA v7.5.4

Brian Fed
Greenhorn

Joined: Feb 07, 2010
Posts: 6
For Java/JEE development, I am using IBM Rational Application Developer v7.5.4 (RAD) and IBM Rational Software Architect v7.5.4 (RSA). I think RAD/RSA v7.5.4 uses Eclipse 3.4.2. Not sure though.


Could you please clarify below questions:

1. Is Spring IDE(that we install as Eclipse Plugin thro' Eclipse Update site) and SpringSource Tool Suite (do we install STS as a Eclipse Plugin installation on top of IBM RAD/RSA v7.5.4) same ? If not what is the difference between the two in terms of installation/setup on top of an Eclipse installation like IBM RAD/RSA ?

2. I want to integrate Spring IDE support with IBM RAD/RSA. I have read quite a handful of posts on the issues involved in Spring IDE integration with IBM RAD/RSA.
Could you please tell me what is the right process of installing Spring IDE support with IBM RAD/RSA v7.5.4 ?
Is it through Spring IDE update site http://springide.org/updatesite/ ? If so will this update site install Spring IDE on IBM RAD/RSA v7.5.4 without any issues ?
or
Do I have to use SpringSource Tool Suite (STS) as a plugin installation on top of IBM RAD/RSA v7.5.4? If so what is the right process for it?


Appreciate your timely help.
Jeanne Boyarsky
author & internet detective
Marshal

Joined: May 26, 2003
Posts: 30753
    
156

Brian,
We've successfully added Spring IDE to RAD/RSA 7.5. Yes, it uses the update site.

I'm not sure if SSTS can be used as a plugin. It's heavier and has more duplication with RAD/RSA.


[Blog] [JavaRanch FAQ] [How To Ask Questions The Smart Way] [Book Promos]
Blogging on Certs: SCEA Part 1, Part 2 & 3, Core Spring 3, OCAJP, OCPJP beta, TOGAF part 1 and part 2
Jeanne Boyarsky
author & internet detective
Marshal

Joined: May 26, 2003
Posts: 30753
    
156

And yes, RAD/RSA 7.5 is based on Eclipse 3.4.
rajani Yanamala
Greenhorn

Joined: Oct 04, 2007
Posts: 3
Hi,

I have installed Spring Plugin from the update link given above. Installation was successful but when i restart my RAD i get below error. Please help

An internal error occurred during: "Initializing Spring UAA".
org/osgi/framework/Bundle.getVersion()Lorg/osgi/framework/Version;

Mark Spritzler
ranger
Sheriff

Joined: Feb 05, 2001
Posts: 17257
    
    6

rajani Yanamala wrote:Hi,

I have installed Spring Plugin from the update link given above. Installation was successful but when i restart my RAD i get below error. Please help

An internal error occurred during: "Initializing Spring UAA".
org/osgi/framework/Bundle.getVersion()Lorg/osgi/framework/Version;



This is an older thread. Please create a new thread for your question.

I am going to close this older thread.

Thanks

Mark


Perfect World Programming, LLC - Two Laptop Bag - Tube Organizer
How to Ask Questions the Smart Way FAQ
 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: Spring IDE support/installation for IBM RAD/RSA v7.5.4